Package org.eclipse.birt.chart.model.attribute

# Interface JavaNumberFormatSpecifier

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `FormatSpecifier`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `JavaNumberFormatSpecifierImpl`

public interface JavaNumberFormatSpecifier extends FormatSpecifier
A representation of the model object 'Java Number Format Specifier'. JavaNumberFormatSpecifier extends FormatSpecifier devotedly to represent an instance of NumberFormat.

The following features are supported:

- `Pattern`
- `Multiplier`

See Also:
  - `AttributePackage.getJavaNumberFormatSpecifier()`

## Method Summary

Modifier and Type
Method
Description
`JavaNumberFormatSpecifier`
`copyInstance()`
`String`
`format(double dValue, com.ibm.icu.util.ULocale lo)`
Formats a value using the internally defined format specifier rules
`String`
`format(double dValue, Locale lo)`
Deprecated.
`String`
`format(Number number, com.ibm.icu.util.ULocale lo)`
Returns a formatted string representation of specified number.
`double`
`getMultiplier()`
Returns the value of the 'Multiplier' attribute.
`String`
`getPattern()`
Returns the value of the 'Pattern' attribute.
`boolean`
`isSetMultiplier()`
Returns whether the value of the '`Multiplier`' attribute is set.
`void`
`setMultiplier(double value)`
Sets the value of the '`Multiplier`' attribute.
`void`
`setPattern(String value)`
Sets the value of the '`Pattern`' attribute.
`void`
`unsetMultiplier()`
Unsets the value of the '`Multiplier`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getPattern

String getPattern()
Returns the value of the 'Pattern' attribute. Attribute "Pattern" specifies the pattern string used to establish an instance of NumberFormat.

Returns:
  the value of the 'Pattern' attribute.
See Also:
  - `setPattern(String)`
  - `AttributePackage.getJavaNumberFormatSpecifier_Pattern()`

### setPattern

void setPattern(String value)
Sets the value of the '`Pattern`' attribute.

Parameters:
  `value` - the new value of the 'Pattern' attribute.
See Also:
  - `getPattern()`

### getMultiplier

double getMultiplier()
Returns the value of the 'Multiplier' attribute. Specifies the multiplier.

Returns:
  the value of the 'Multiplier' attribute.
See Also:
  - `isSetMultiplier()`
  - `unsetMultiplier()`
  - `setMultiplier(double)`
  - `AttributePackage.getJavaNumberFormatSpecifier_Multiplier()`

### setMultiplier

void setMultiplier(double value)
Sets the value of the '`Multiplier`' attribute.

Parameters:
  `value` - the new value of the 'Multiplier' attribute.
See Also:
  - `isSetMultiplier()`
  - `unsetMultiplier()`
  - `getMultiplier()`

### unsetMultiplier

void unsetMultiplier()
Unsets the value of the '`Multiplier`' attribute.

See Also:
  - `isSetMultiplier()`
  - `getMultiplier()`
  - `setMultiplier(double)`

### isSetMultiplier

boolean isSetMultiplier()
Returns whether the value of the '`Multiplier`' attribute is set.

Returns:
  whether the value of the 'Multiplier' attribute is set.
See Also:
  - `unsetMultiplier()`
  - `getMultiplier()`
  - `setMultiplier(double)`

### format

@Deprecated String format(double dValue, Locale lo)
Deprecated.
Formats a value using the internally defined format specifier rules

Parameters:
  `dValue` -
Returns:
  A formatted string representation of the numerical value provided

### format

String format(double dValue, com.ibm.icu.util.ULocale lo)
Formats a value using the internally defined format specifier rules

Parameters:
  `dValue` -
Returns:
  A formatted string representation of the numerical value provided
Since:
  2.1

### format

String format(Number number, com.ibm.icu.util.ULocale lo)
Returns a formatted string representation of specified number.

Parameters:
  `number` -
  `lo` -
Returns:
Since:
  2.6

### copyInstance

JavaNumberFormatSpecifier copyInstance()

Specified by:
  `copyInstance` in interface `FormatSpecifier`
Specified by:
  `copyInstance` in interface `IChartObject`